QGIS Application - Bug report #589
Large polygon (under postgis) causes complete crash of X session
2007-02-12 08:04 PM - john-floyd-dnr-nsw-gov-au -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Vectors

Affected QGIS version: Regression?: No
Operating System: Fedora Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 10648
Description

A third party shapefile, loaded into postgis (successfully), causes qgis to crash when viewed.

The layer is 53 polygon elements. There is one element of ~430,000 segments.

Qgis will load the layer if it is re-constituted as the equivalent linestrings.

The crash appears to be at X level, causing a complete reboot of the X server, and a loss of my X session.

History

#1 - 2007-03-22 04:01 PM - john-floyd-dnr-nsw-gov-au -
- Resolution set to fixed
- Status changed from Open to Closed

This apparently was due to gt4.

Upgrade to qt4-4.2.3 fixed this (from 4.2.2). The Qt release notes included an item on polygon fill problem fixed.

#2 - 2009-08-22 12:52 AM - Anonymous

Milestone Version 0.8.2 deleted
